/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
(function($){
    $(document).ready(function(){
        $('.orderdate').datepicker({
            dateFormat: "yy-mm-dd",
            showOn: "button",
			buttonImage: "../modules/segmentor/img/calendar.gif",
			buttonImageOnly: true
        });
        
        
        $('#wrap-content-segmentor').on('click','#checkall',function(event){
            event.preventDefault();
            $(this).attr('id','uncheckall');
            //$(this).attr("checked","true");
            $(".checkall").attr("checked","true");
        });
        $('#wrap-content-segmentor').on('click','#uncheckall',function(event){
            event.preventDefault();
            $(this).attr('id','checkall');
            //$(this).attr("checked","false");
            $(".checkall").removeAttr("checked");
        });
        
        $('#wrap-content-segmentor').on('click','table',function(event){
            $("table thead th:eq(5)").data("sorter", false);
            $("table").tablesorter({
                headers: {0: { sorter: false}, 1: {sorter: false}, 2: {sorter: false}, 6: {sorter: false}, 7: {sorter: false} }
            });
            
        });
        
        var url = '../modules/segmentor/ajax-segmentor.php';        
        $('#productname').autocomplete(url, {
			delay: 100,
			minChars: 1,
			autoFill: true,
			max:20,
			matchContains: true,
			mustMatch:true,
			scroll:false,
			cacheLength:0,
			// param multipleSeparator:'||' ajouté à cause de bug dans lib autocomplete
			multipleSeparator:'||',
			formatItem: function(item) {
                //alert(item);
				return item[1]+' - '+item[0];
			},
			extraParams: {
                controller : 'AdminSegmentor',
				paramsearch : 'name',
				limit : 6,
                token : token
                
			}
		}).result(function(event, item){
             //alert(item);
            $('#idProduct').val(item[1]);
            $('#productname').val(item[0]);
		});
        
        /******événement sur les différentinput et autres*/
        $('#productname').blur(function(){
            if($(this).val() == "")
                $('#idProduct').val('');
        });
        
        $('.orderdate').change(function(){
            if($(this).val() != "")
                searchCustomer();
        });
        
        $('#segmentorGeneralFilter input[type="radio"],#segmentorGeneralFilter input[type="checkbox"]').click(function(){
            searchCustomer();
        });        
        $('#segmentorGeneralFilter select').change(function(){
            searchCustomer();
        });
        $('#segmentorGeneralFilter input').focusout(function(){
            searchCustomer();
        });
        
        /*
        $('#segmentorGeneralFilter input[type="text"]').blur(function(){
            if($(this).val() != "")
                searchCustomer();
        });*/
        //gestion de l'export csv
        $('#wrap-content-segmentor').on('click','#submitExportCSV',function(event){
            //event.preventDefault();
            exportCSV();
        });
        $('#submitTransfert').click(function(){
            migrateCustomerGroup();
        });
    });
})(jQuery);
/*
* 
 */
function searchCustomer(){
    $.ajax({
        type: "POST", 
        url: '../modules/segmentor/ajax-segmentor.php',
        data: $('#segmentorGeneralFilter').serialize(),
        cache: false,
        success:  function(response){ 
            if( response != ' ' ){ 
                $('#segmentor-search-result').html(response);
                $.scrollTo( $('#segmentor-search-result'), 1000 );                
            }
            return false;
        },
        onFailure: function(xhr){
            alert("Erreur lors du placement");
        }
    });
    return false;
}
/*export des données en csv*/
function exportCSV(){
    $.ajax({
        type: "POST", 
        url: '../modules/segmentor/ajax-segmentor.php',
        data: $('#formExport').serialize(),
        cache: false,
        success:  function(response){ 
            if( response != ' ' ){ 
                $('#infomartion-action').html(response);
                $.scrollTo( $('#infomartion-action'), 1000 );
                // Webbax - 11.10.13
                // window.open($("#infomartion-action a").attr('href'),"_blank", null);
            }
            return false;
        },
        onFailure: function(xhr){
            alert("Erreur lors du placement");
        }
    });
    return false;
}

/*mouvement sur les clients*/
function migrateCustomerGroup(){
    $.ajax({
        type: "POST", 
        url: '../modules/segmentor/ajax-segmentor.php',
        data: $('#segmentorGroupCustomer').serialize()+'&'+$('#formExport input[type="checkbox"]').serialize(),
        cache: false,
        success:  function(response){ 
            $('#segmentor-search-result').html(response);
                $.scrollTo( $('#segmentor-search-result'),1000 );
                $('#tr_msg_success').show();
            return false;
        },
        onFailure: function(xhr){
            alert("Erreur lors du placement");
        }
    });
    return false;
}
document.onkeypress = enterPressed;

function enterPressed(evn) {
    if (window.event && window.event.keyCode == 13) {
        searchCustomer();
        return false;
    } else if (evn && evn.keyCode == 13) {
        searchCustomer();
        return false;
    }
}